package graph_algorithms;

public class ComparableEdge implements Comparable<ComparableEdge> {
	
	int u;
	int v;
	double score;
	
	public ComparableEdge(int a,int b,double s) {
		u=a;
		v=b;
		score=s;
	}
	
	@Override
	public int compareTo(ComparableEdge e) {
		if (score> e.score){
			return 1;
		}
		if (score <e.score){
			return -1;
		}
		return 0;
	}

}
