package multithreaded_algo_runs;
import graph_algorithms.MetaModuleFinder;

public class DicerSeedSearch extends Thread {
	String run_name;
	MultithreadedComparisonRunner father;
	int minSize;
	
	public DicerSeedSearch(MultithreadedComparisonRunner f, String algoName, int minSize) {
		run_name=algoName;
		father=f;
		this.minSize=minSize;
		start();
	}
	
	@Override
	public void run() {
		MetaModuleFinder dicerSeedsFinder = new MetaModuleFinder(father.getG1(), father.getG2(), father.nodeIds);
		dicerSeedsFinder.findSeedPairs(minSize);
		father.updateHashForSeedAlgorithm(run_name, dicerSeedsFinder);
		System.out.println(MultithreadedComparisonRunner.getModuleStatistics(dicerSeedsFinder.getModulesCopy()));
		dicerSeedsFinder=null;
		Runtime.getRuntime().gc();
		System.out.flush();
	}
}
