package multithreaded_algo_runs;

import graph_algorithms.BiModuleFinderUsingBicliqueAlgo;

public class MBCDicerSeedsThread extends Thread {
	String run_name;
	MultithreadedComparisonRunner father;
	int minSize;
	
	public MBCDicerSeedsThread(MultithreadedComparisonRunner f, String algoName, int minSize) {
		run_name=algoName;
		father=f;
		this.minSize=minSize;
		start();
	}
	
	@Override
	public void run() {
		
		BiModuleFinderUsingBicliqueAlgo mbcDicerFinder = new BiModuleFinderUsingBicliqueAlgo(father.g1, father.g2, father.nodeIds,father.minMSeedSize);
		mbcDicerFinder.addNumToTmpFiles(1);
		mbcDicerFinder.findSeedPairs(minSize);
		System.out.println(mbcDicerFinder.getModulesCopy().size());
		father.updateHashForSeedAlgorithm(run_name, mbcDicerFinder);
		System.out.println(MultithreadedComparisonRunner.getModuleStatistics(father.algo2seed.get(run_name)));
		mbcDicerFinder = null;
		Runtime.getRuntime().gc();
		System.out.flush();
	}
}
