package multithreaded_algo_runs;

import java.util.HashSet;
import java.util.LinkedList;
import java.util.List;

import global_analysis.GreedyHillClimber;

public class NodeAdditionThread extends Thread {
	String run_name;
	MultithreadedComparisonRunner father;
	boolean disc;
	
	public NodeAdditionThread(MultithreadedComparisonRunner f, String algoName, boolean disc) {
		run_name=algoName;
		father=f;
		this.disc=disc;
		start();
	}
	
	@Override
	public void run() {
		
		GreedyHillClimber globalAnalysis = new GreedyHillClimber(father.g1, father.g2,father.edgethr,disc);
		globalAnalysis.doNodeAdditionKeepCEmpty();
		List<HashSet<Integer>> nodeAdditionSeeds = new LinkedList<HashSet<Integer>>(globalAnalysis.getModulesCopy());
		father.updateHashForSeedAlgorithm(run_name, nodeAdditionSeeds);
		System.out.println(MultithreadedComparisonRunner.getModuleStatistics(nodeAdditionSeeds));
		globalAnalysis = null;
		Runtime.getRuntime().gc();
		System.out.flush();
		
	}
}
